#ifndef __LCD_H
#define __LCD_H
/*
// #####################################################
*/
#include <stdint.h>
#include <stdio.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include <util/delay.h>
#include <avr/interrupt.h>

typedef struct
{
   unsigned char xpos;
   unsigned char zeile;
   unsigned char lcd_backlight;  // rueckmeldung fuer das menu
   unsigned char chars_pl;       // Anzahl der char per line
   unsigned char zeilen;         // Anzahl der Zeilen
} S_LCD_ANZ;

void lcd_init( unsigned char pwm );   // nur wenn TIM0 benutzt
void lcd_home( void );
void lcd_clear( void );
void lcd_string(char *);
void lcd_beleuchtung( unsigned char );
void lcd_data(unsigned char);
void cursor_view( unsigned char on, unsigned char blinken );
void set_cursor(uint8_t , uint8_t );
void lcd_dataWrite( prog_char * , unsigned char);  

#endif
